import { SimklCheckinRequest } from '../../models/simkl-checkin.model.cjs';
import { SimklClientEndpoint } from '../../models/simkl-client.model.cjs';
import '../../models/simkl-movie.model.cjs';
import '../../models/simkl-common.model.cjs';
import '../../models/simkl-rating.model.cjs';
import '../../models/simkl-show.model.cjs';
import '../../models/simkl-episode.model.cjs';
import '@dvcol/base-http-client';
import '@dvcol/common-utils/common/models';
import '@dvcol/common-utils/http/fetch';

/**
 * Check into an item
 *
 * This should be tied to a user manual action.
 *
 * The item will be as watching on the site and if the time has elapsed it will switch to completed.
 *
 * If you wish to instantly mark episode\movie as watched please use [Sync, Add to History method]{@link https://simkl.docs.apiary.io/#reference/sync/add-to-history/check-into-an-item}
 *
 * * Note: If there is checkin in progress, 409 code will be returned and response will contain an expires_at datetime when you will be able to ckeckin again {@link SimklCheckinInProgress}.
 *
 * @auth user
 *
 * @see [checkin]{@link https://simkl.docs.apiary.io/reference/checkin}
 */
declare const checkin: SimklClientEndpoint<SimklCheckinRequest, SimklCheckinRequest, false>;

export { checkin };
