import { SimklMovieIdRequest, SimklMovieShort, SimklMovieExtended, SimklMovieTrendingRequest, SimklMovieTrending } from '../../models/simkl-movie.model.cjs';
import { SimklClientEndpoint } from '../../models/simkl-client.model.cjs';
import '../../models/simkl-common.model.cjs';
import '../../models/simkl-rating.model.cjs';
import '@dvcol/base-http-client';
import '@dvcol/common-utils/common/models';
import '@dvcol/common-utils/http/fetch';

declare const movie: {
    /**
     * Get detail info about the movie
     *
     * @auth client
     * @extended full
     *
     * @see [movie-summary](https://simkl.docs.apiary.io/reference/movies/summary/get-detail-info-about-the-movie}
     */
    id: SimklClientEndpoint<SimklMovieIdRequest, SimklMovieShort & Partial<SimklMovieExtended>, true>;
    /**
     * Get trending movies
     *
     * @auth client
     * @extended discover
     *
     * @see [movie-trending](https://simkl.docs.apiary.io/reference/movies/trending/get-trending-movies}
     */
    trending: SimklClientEndpoint<SimklMovieTrendingRequest, SimklMovieTrending[], true>;
};

export { movie };
