"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunkDGKIBQUXcjs = require('./chunk-DGKIBQUX.cjs');


var _chunkWQ6NSTT2cjs = require('./chunk-WQ6NSTT2.cjs');

// lib/api/endpoints/calendar.endpoint.ts
var _http = require('@dvcol/common-utils/http');
var calendar = {
  shows: {
    /**
     * Get the next 33 days of TV show releases.
     *
     * @see [documentation]{@link https://simkl.docs.apiary.io/#reference/calendar/authorize-application}
     */
    next: new (0, _chunkWQ6NSTT2cjs.SimklClientEndpoint)({
      method: _http.HttpMethod.GET,
      url: "/calendar/tv.json",
      opts: {
        endpoint: _chunkDGKIBQUXcjs.Config.Data
      }
    }),
    /**
     * Calendars are updated for the past 12 months every 24 hours, and for the current month every 6 hours.
     *
     * @see [documentation]{@link https://simkl.docs.apiary.io/#reference/calendar/authorize-application}
     */
    month: new (0, _chunkWQ6NSTT2cjs.SimklClientEndpoint)({
      method: _http.HttpMethod.GET,
      url: "/calendar/:year/:month/tv.json",
      seed: {
        year: (/* @__PURE__ */ new Date()).getFullYear(),
        month: (/* @__PURE__ */ new Date()).getMonth() + 1
      },
      opts: {
        endpoint: _chunkDGKIBQUXcjs.Config.Data,
        parameters: {
          path: {
            year: true,
            month: true
          }
        }
      }
    })
  },
  anime: {
    /**
     * Get the next 33 days of anime releases.
     *
     * @see [documentation]{@link https://simkl.docs.apiary.io/#reference/calendar/authorize-application}
     */
    next: new (0, _chunkWQ6NSTT2cjs.SimklClientEndpoint)({
      method: _http.HttpMethod.GET,
      url: "/calendar/anime.json",
      opts: {
        endpoint: _chunkDGKIBQUXcjs.Config.Data
      }
    }),
    /**
     * Calendars are updated for the past 12 months every 24 hours, and for the current month every 6 hours.
     *
     * @see [documentation]{@link https://simkl.docs.apiary.io/#reference/calendar/authorize-application}
     */
    month: new (0, _chunkWQ6NSTT2cjs.SimklClientEndpoint)({
      method: _http.HttpMethod.GET,
      url: "/calendar/:year/:month/anime.json",
      seed: {
        year: (/* @__PURE__ */ new Date()).getFullYear(),
        month: (/* @__PURE__ */ new Date()).getMonth() + 1
      },
      opts: {
        endpoint: _chunkDGKIBQUXcjs.Config.Data,
        parameters: {
          path: {
            year: true,
            month: true
          }
        }
      }
    })
  },
  movies: {
    /**
     * Get the next 33 days of movie releases.
     *
     * @see [documentation]{@link https://simkl.docs.apiary.io/#reference/calendar/authorize-application}
     */
    next: new (0, _chunkWQ6NSTT2cjs.SimklClientEndpoint)({
      method: _http.HttpMethod.GET,
      url: "/calendar/movie_release.json",
      opts: {
        endpoint: _chunkDGKIBQUXcjs.Config.Data
      }
    }),
    /**
     * Calendars are updated for the past 12 months every 24 hours, and for the current month every 6 hours.
     *
     * @see [documentation]{@link https://simkl.docs.apiary.io/#reference/calendar/authorize-application}
     */
    month: new (0, _chunkWQ6NSTT2cjs.SimklClientEndpoint)({
      method: _http.HttpMethod.GET,
      url: "/calendar/:year/:month/movie_release.json",
      seed: {
        year: (/* @__PURE__ */ new Date()).getFullYear(),
        month: (/* @__PURE__ */ new Date()).getMonth() + 1
      },
      opts: {
        endpoint: _chunkDGKIBQUXcjs.Config.Data,
        parameters: {
          path: {
            year: true,
            month: true
          }
        }
      }
    })
  }
};



exports.calendar = calendar;
