import {
  SimklApiAuthType,
  SimklClientEndpoint
} from "./chunk-3HNK4KUT.js";

// lib/api/endpoints/ratings.endpoint.ts
import { HttpMethod } from "@dvcol/common-utils/http";
var ratings = new SimklClientEndpoint({
  method: HttpMethod.GET,
  url: "/ratings",
  opts: {
    auth: SimklApiAuthType.Client,
    parameters: {
      query: {
        fields: false,
        title: false,
        year: false,
        season: false,
        episode: false,
        type: false,
        simkl: false,
        imdb: false,
        tvdb: false,
        tmdb: false,
        anidb: false,
        mal: false,
        anilist: false,
        hulu: false,
        netflix: false,
        crunchyroll: false,
        kitsu: false,
        livechart: false,
        anisearch: false,
        animeplanet: false,
        traktslug: false,
        letterboxd: false
      }
    }
  },
  transform: (param) => {
    if (param.fields && Array.isArray(param.fields)) return { ...param, fields: param.fields.join(",") };
    return param;
  }
});

export {
  ratings
};
