"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunkKBS52LMEcjs = require('./chunk-KBS52LME.cjs');




var _chunkWQ6NSTT2cjs = require('./chunk-WQ6NSTT2.cjs');

// lib/api/endpoints/movie.endpoint.ts
var _http = require('@dvcol/common-utils/http');
var movie = {
  /**
   * Get detail info about the movie
   *
   * @auth client
   * @extended full
   *
   * @see [movie-summary](https://simkl.docs.apiary.io/reference/movies/summary/get-detail-info-about-the-movie}
   */
  id: new (0, _chunkWQ6NSTT2cjs.SimklClientEndpoint)({
    method: _http.HttpMethod.GET,
    url: "/movies/:id",
    opts: {
      auth: _chunkWQ6NSTT2cjs.SimklApiAuthType.Client,
      extends: _chunkWQ6NSTT2cjs.SimklApiExtended.Full,
      parameters: {
        path: {
          id: true
        },
        query: {
          extended: false
        }
      }
    },
    transform: _chunkKBS52LMEcjs.SimklApiTransform.Extends[_chunkWQ6NSTT2cjs.SimklApiExtended.Full]
  }),
  /**
   * Get trending movies
   *
   * @auth client
   * @extended discover
   *
   * @see [movie-trending](https://simkl.docs.apiary.io/reference/movies/trending/get-trending-movies}
   */
  trending: new (0, _chunkWQ6NSTT2cjs.SimklClientEndpoint)({
    method: _http.HttpMethod.GET,
    url: "/movies/trending/:interval",
    opts: {
      auth: _chunkWQ6NSTT2cjs.SimklApiAuthType.Client,
      extends: _chunkWQ6NSTT2cjs.SimklApiExtended.Discover,
      parameters: {
        path: {
          interval: false
        },
        query: {
          extended: false
        }
      }
    },
    transform: _chunkKBS52LMEcjs.SimklApiTransform.Extends[_chunkWQ6NSTT2cjs.SimklApiExtended.Discover]
  })
};



exports.movie = movie;
