"use strict";Object.defineProperty(exports, "__esModule", {value: true});// lib/models/simkl-error.model.ts
var _error = require('@dvcol/base-http-client/utils/error');
var SimklErrorTypes = {
  SimklApiError: "SimklApiError",
  SimklRateLimitError: "SimklRateLimitError",
  SimklInvalidCsrfError: "SimklInvalidCsrfError",
  SimklUnauthorizedError: "SimklUnauthorizedError",
  SimklPollingExpiredError: "SimklPollingExpiredError",
  SimklPollingCancelledError: "SimklPollingCancelledError",
  SimklInvalidParameterError: "SimklInvalidParameterError"
};
var SimklApiError = class extends _error.ApiError {
  constructor(message, error) {
    super(message, error);
    this.name = SimklErrorTypes.SimklApiError;
  }
};
var SimklInvalidParameterError = class extends _error.InvalidParameterError {
  constructor(message) {
    super(message);
    this.name = SimklErrorTypes.SimklInvalidParameterError;
  }
};
var SimklPollingExpiredError = class extends _error.PollingExpiredError {
  constructor(message) {
    super(message);
    this.name = SimklErrorTypes.SimklPollingExpiredError;
  }
};
var SimklPollingCancelledError = class extends _error.PollingCancelledError {
  constructor(message) {
    super(message);
    this.name = SimklErrorTypes.SimklPollingCancelledError;
  }
};
var SimklUnauthorizedError = class extends SimklApiError {
  constructor(message, error) {
    super(message, error);
    this.name = SimklErrorTypes.SimklUnauthorizedError;
  }
};
var SimklRateLimitError = class extends SimklApiError {
  constructor(message, error) {
    super(message, error);
    this.name = SimklErrorTypes.SimklRateLimitError;
  }
};
var SimklInvalidCsrfError = class extends _error.InvalidCsrfError {
  constructor({ state, expected } = {}) {
    super({ state, expected });
    this.name = SimklErrorTypes.SimklInvalidCsrfError;
  }
};










exports.SimklErrorTypes = SimklErrorTypes; exports.SimklApiError = SimklApiError; exports.SimklInvalidParameterError = SimklInvalidParameterError; exports.SimklPollingExpiredError = SimklPollingExpiredError; exports.SimklPollingCancelledError = SimklPollingCancelledError; exports.SimklUnauthorizedError = SimklUnauthorizedError; exports.SimklRateLimitError = SimklRateLimitError; exports.SimklInvalidCsrfError = SimklInvalidCsrfError;
