import { SimklMovieShort } from './simkl-movie.model.cjs';
import { SimklShowShort } from './simkl-show.model.cjs';
import './simkl-client.model.cjs';
import '@dvcol/base-http-client';
import '@dvcol/common-utils/common/models';
import '@dvcol/common-utils/http/fetch';
import './simkl-common.model.cjs';
import './simkl-rating.model.cjs';
import './simkl-episode.model.cjs';

/**
 * Type show combine tv and anime types.
 */
type SimklCheckinRequest = {
    movie?: Partial<SimklMovieShort> & Required<Pick<SimklMovieShort, 'ids'>>;
    show?: Partial<SimklShowShort> & Required<Pick<SimklShowShort, 'ids'>> & {
        episode: {
            season: number;
            number: number;
        };
    };
};
type SimklCheckinInProgress = {
    expires_at?: string;
};

export type { SimklCheckinInProgress, SimklCheckinRequest };
