import { SimklIds, SimklEntityTypes, SimklEntityType } from './simkl-common.model.js';

type SimklEpisodeMinimal = {
    season: number;
    episode: number;
    url: string;
};
type SimklEpisodeShort = {
    season: number;
    episode: number;
    type: 'episode';
    aired: boolean;
    img: string;
    date: string;
    ids: SimklIds<'simkl_id'>;
};
type SimklEpisodeExtended = SimklEpisodeShort & {
    title: string;
    description: string;
};
type SimklEpisode<T extends SimklEntityTypes = typeof SimklEntityType.Unknown> = T extends typeof SimklEntityType.Short ? SimklEpisodeShort : T extends typeof SimklEntityType.Extended ? SimklEpisodeExtended : SimklEpisodeShort & Partial<SimklEpisodeExtended>;

export type { SimklEpisode, SimklEpisodeExtended, SimklEpisodeMinimal, SimklEpisodeShort };
