import { SimklCommonQuery } from './simkl-common.model.cjs';

declare const SimklRedirectTo: {
    readonly Simkl: "Simkl";
    readonly Trailer: "trailer";
    readonly Twitter: "twitter";
};
type SimklRedirectTos = (typeof SimklRedirectTo)[keyof typeof SimklRedirectTo];
type SimklRedirectRequest = SimklCommonQuery & {
    /** can be "Simkl" "trailer" or "twitter" */
    to: SimklRedirectTos;
};
type SimklRedirectWatchedRequest = SimklCommonQuery & {
    /** Must be "watched" */
    to?: 'watched';
    /** The client ID you received from Simkl when you registered your application. */
    client_id?: string;
};

export { type SimklRedirectRequest, SimklRedirectTo, type SimklRedirectTos, type SimklRedirectWatchedRequest };
