import {
  Config
} from "../chunk-TD46ENXE.js";

// lib/utils/image.utils.ts
var SimklApiImages = {
  Endpoint: Config.Images,
  Prefix: {
    Poster: "posters",
    Fanart: "fanart",
    Episode: "episodes",
    Avatars: "avatars",
    Comments: "comments"
  },
  Suffix: {
    Poster: {
      /** 600x338 */
      Wide: "_w",
      /** 340x * */
      Large: "_m",
      /** 190x279(285) */
      Medium: "_ca",
      /** 170x250(256) */
      Small: "_c",
      /** 84x124 */
      Tiny: "_cm",
      /** 40x57 */
      Thumb: "_s"
    },
    Fanart: {
      /** (darker, small KB)	* x * (original size) */
      Darker: "_d",
      /** 1920x1080 */
      FullHD: "_medium",
      /** 960x540 */
      Mobile: "_mobile",
      /** 600x338 */
      Wide: "_w",
      /** 48x27 */
      Thumb: "_s48"
    },
    Episode: {
      /** 600x338 */
      Wide: "_w",
      /** 210x118 */
      Small: "_c",
      /** 112x63 */
      Thumb: "_m"
    },
    Avatars: {
      /** 24x24 */
      w24: "_24",
      /** 100x100 */
      w100: "_100",
      /** 200x200 */
      w200: "",
      /** 256x256 */
      w256: "_256",
      /** 512x512 */
      w512: "_512"
    }
  }
};
var getSimklImageUrl = ({
  url,
  prefix,
  suffix,
  extension
}) => new URL([SimklApiImages.Endpoint, prefix, url, suffix, extension].join("/"));
export {
  SimklApiImages,
  getSimklImageUrl
};
